!include ..\toolkit.inc
SYS = system os2v2 fullscreen
OPT = option map,protmode,heapsize=2048,stack=8192,description '(c) IBM Corp.'
OP2 = option map,protmode,heapsize=4096,stack=10240,description '(c) IBM Corp.'

EXE=edit.exe constr.exe invstr.exe revscr.exe numerics.exe shape.exe setprint.exe
all: $(EXE) .symbolic
    @%null

edit.exe: edit.obj
    *$(LINK) $(SYS) name edit file edit option modname=EDIT $(OPT)

constr.exe: constr.obj
    *$(LINK) $(SYS) name constr file constr option modname=CONSTR $(OPT)

invstr.exe: invstr.obj
    *$(LINK) $(SYS) name invstr file invstr option modname=INVSTR $(OPT)

numerics.exe: numerics.obj
    *$(LINK) $(SYS) name numerics file numerics option modname=NUMERICS $(OPT)

shape.exe: shape.obj
    *$(LINK) $(SYS) name shape file shape option modname=SHAPE $(OPT)

setprint.exe: setprint.obj
    *$(LINK) $(SYS) name setprint file setprint option modname=SETPRINT $(OP2)

revscr.exe: revscr.obj
    *$(LINK) $(SYS) name revscr file revscr option modname=REVSCR $(OPT)

constr.obj : constr.c
edit.obj : edit.c
invstr.obj : invstr.c
numerics.obj : numerics.c
revscr.obj : revscr.c
setprint.obj : setprint.c
shape.obj : shape.c
